aboutsummaryrefslogtreecommitdiff
path: root/src/make.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2008-10-08 09:46:20 -0700
committerRuss Cox <rsc@golang.org>2008-10-08 09:46:20 -0700
commit047c6ec6dabdc646b3e98531d6c8f0905aebc4a3 (patch)
treec57a812a886aabd4428c8f3de3889ea4dbe47ce6 /src/make.bash
parentf4a8db667be985eb8b9f0d0e1e8674b751df5121 (diff)
downloadgo-047c6ec6dabdc646b3e98531d6c8f0905aebc4a3.tar.xz
check $GOROOT before diving into build
R=r DELTA=6 (6 added, 0 deleted, 0 changed) OCL=16726 CL=16726
Diffstat (limited to 'src/make.bash')
-rwxr-xr-xsrc/make.bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/src/make.bash b/src/make.bash
index 3ff193145e..df70e41f48 100755
--- a/src/make.bash
+++ b/src/make.bash
@@ -6,6 +6,12 @@
set -e
export MAKEFLAGS=-j4
+if ! test -f $GOROOT/include/u.h
+then
+ echo '$GOROOT is not set correctly or not exported' 1>&2
+ exit 1
+fi
+
bash clean.bash
for i in lib9 libbio libmach_amd64 libregexp cmd runtime lib